Mailinglist Archive: opensuse-buildservice (244 mails)

< Previous Next >
Re: [opensuse-buildservice] Fedora 17 added, new build package required
On Fri, 01 Jun 2012 11:17:33 +0200, Adrian Schröter <adrian@xxxxxxx>
wrote:
Am Freitag, 1. Juni 2012, 11:13:45 schrieb Fritz Elfert:
On Fri, 01 Jun 2012 10:43:52 +0200, Nico Kruber
<lists.nico.k@xxxxxxxxxxxxxx> wrote:
On Friday 01 June 2012 08:21:49 Adrian Schröter wrote:
Am Donnerstag, 31. Mai 2012, 23:16:12 schrieb Frank Lichtenheld:
Seems the actual syntax is "Support: !module-init-tools" (reading
the
build source code suggested that). Now it works with
Prefer: kmod
Support: kmod
Support: !module-init-tools

erm, right ...

Thanks a lot for testing this, it is changed in Fedora:17 project
now.

Does it take a while to propagate on build.opensuse.org? Or do I need
to

actively do something in my project?
A trigger rebuild (obviously) doesn't help...

Nico

Same here, furthermore I have a question regarding the Prefer entries
in
my prjconf:

I have a package that buildrequires java and for F16, I used "Prefer:
java-1.6.0-openjdk"
in order to build it.

Just

BuildRequires: java-devel

is not doing the right thing ? We should add Prefers to the Fedora:*
projects
then.

No. I don't use java-devel, because the package actually does not build
*against* java but
only happens to use a java-based javascript-minifier during the build
process. So I use:

BuildRequires: java

which works out of the box for all repos except F16 and F17 where I get
the usual choice
between java-1.5.0-gcj and java-1.X.0-openjdk.
I solved this now by using

Prefer: java-1.5.0-gcj

which is available on both F16 and 17 (the java version is not really
critical in this case).

Thanks
-Fritz
--
To unsubscribe, e-mail: opensuse-buildservice+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-buildservice+owner@xxxxxxxxxxxx

< Previous Next >
List Navigation